Template argument

SYNOPSIS

pi_id | pi_template_argument(pi_data *);

PARAMETER

pi_data.from: | start argument name
pi_data.to: | end argument name
pi_data.name: | argument name
pi_data.related: | pi_id of class definition or function definition/declaration or parameter having this template argument Default: previous class definition or function definition/declaration or parameter

DESCRIPTION
This function must be called whenever the parser detects a template argument in the source file.
C/C++ example

template <class Type> | // class Type is the argument // (parameter) of the template

SNiFF+ Fuzzy Parser action

pi_data.from: | points to start of " class Type "
pi_data.to: | points to end of " class Type "
pi_data.name: | " class Type "

SNiFF+ usage
highlighted in Source Editor

| Note
| This function is not implemented in any of the API versions.